com.verisign.epp.codec.registry.v01

## Class EPPRegistryCheckResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.registry.v01.EPPRegistryCheckResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryCheckResp
      extends EPPResponse

  Represents an EPP Registry <registry:chkData> response to a `EPPRegistryCheckCmd`. When a <check> command has been processed successfully, the EPP <resData> element MUST contain a child <registry:chkData> element that identifies the registry namespace and the location of the registry schema. The <registry:chkData> elements that contain the following child elements:
  - A <registry:name> element that contains the fully qualified name of the queried zone object. This element MUST contain an "avail" attribute whose value indicates object availability at the moment the <check> command was completed. A value of "1" or "true" means that the object is availabe. A value of "0" or "false" means that the object is not available.
  - An OPTIONAL <registry:reason> element that MAY be provided when an object is not available for provisioning. If present, this element contains server-specific text to help explain why the object is unavailable. This text MUST be represented in the response language previously negotiated with the client; an OPTIONAL "lang" attribute MAY be present to identify the language if the negotiated value is something other that a default value of "en" (English).
  See Also:
    `EPPRegistryCheckCmd`, `EPPRegistryCheckResult`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryCheckResp`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryCheckResp`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryCheckResp()` `EPPRegistryCheckResp` default constructor.
    `EPPRegistryCheckResp(EPPTransId aTransId, EPPRegistryCheckResult aResult)` `EPPRegistryCheckResp` constructor that will set the result of an individual zone object.
    `EPPRegistryCheckResp(EPPTransId aTransId, java.util.List aResults)` `EPPRegistryCheckResp` constructor that will set the result of multiple zone objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryCheckResp`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryCheckResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryCheckResp` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPRegistryCheckResp` with this instance.
    `java.util.List<EPPRegistryCheckResult>` | `getCheckResults()` Get the check results of zone objects.
    `java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with `EPPRegistryCheckResp` .
    `java.lang.String` | `getType()` Get the EPP response type associated with `EPPRegistryCheckResp`.
    `void` | `setCheckResults(java.util.List<EPPRegistryCheckResult> aResults)` Set the check results of zone objects.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryCheckResp`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryCheckResp`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryCheckResp

          public EPPRegistryCheckResp()

      `EPPRegistryCheckResp` default constructor. It will set results attribute to an empty `List`.

    - #### EPPRegistryCheckResp

          public EPPRegistryCheckResp(EPPTransId aTransId,
                                      EPPRegistryCheckResult aResult)

      `EPPRegistryCheckResp` constructor that will set the result of an individual zone object.
      Parameters:
        `aTransId` - transaction Id associated with response
        `aResult` - `EPPRegistryCheckResult` instance of a single registry name

    - #### EPPRegistryCheckResp

          public EPPRegistryCheckResp(EPPTransId aTransId,
                                      java.util.List aResults)

      `EPPRegistryCheckResp` constructor that will set the result of multiple zone objects.
      Parameters:
        `aTransId` - transaction Id associated with response
        `aResults` - `List` of `EPPRegistryCheckResult` instances

  - ### Method Detail

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryCheckResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryCheckResp` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPRegistryCheckResp` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPRegistryCheckResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryCheckResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getType

          public java.lang.String getType()

      Get the EPP response type associated with `EPPRegistryCheckResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        `EPPRegistryCheckResp.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the EPP command Namespace associated with `EPPRegistryCheckResp` .
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPRegistryMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPRegistryCheckResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryCheckResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPRegistryCheckResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getCheckResults

          public java.util.List<EPPRegistryCheckResult> getCheckResults()

      Get the check results of zone objects.
      Returns:
        `List` of `EPPRegistryCheckResult`

    - #### setCheckResults

          public void setCheckResults(java.util.List<EPPRegistryCheckResult> aResults)

      Set the check results of zone objects.
      Parameters:
        `aResults` - `List` of `EPPRegistryCheckResult`